module.exports = {
	env: {
		browser: true,
		commonjs: true,
		es6: true,
		node: true
	},
	extends: 'eslint:recommended',
	parserOptions: {
		ecmaFeatures: {
			jsx: true,
			experimentalObjectRestSpread: true
		},
		sourceType: 'module'
	},
	rules: {
		// enable additional rules
		'linebreak-style': ['error', 'unix'],

		// disable rules from base configurations
		'no-console': 'off',

		// style rules
		'array-bracket-spacing': ['error', 'never'],
		'func-call-spacing': ['error', 'never'],
		'comma-spacing': ['error', {before: false, after: true}],
		'comma-style': ['error', 'last'],
		'eol-last': ['error', 'always'],
		'keyword-spacing': ['error', {after: true}],
		'no-trailing-spaces': 'error',
		'no-whitespace-before-property': 'error',
		'object-curly-spacing': ['error', 'never'],
		'space-before-function-paren': ['error', 'never'],
		'space-in-parens': ['error', 'never'],
		'space-infix-ops': 'error',
		'keyword-spacing': ['error', {before: true, after: true}],
		curly: ['error', 'multi-line'],
		'space-unary-ops': [
			'error',
			{
				words: true,
				nonwords: false,
				overrides: {
					new: false,
					'++': false
				}
			}
		],
		'spaced-comment': ['error', 'always', {exceptions: ['-+*']}],
		'no-multi-spaces': 'error',
		'space-before-blocks': ['error', 'never']
	}
};
