/*
* simple throttle function
*/
export default function(context, func, wait){
	let timeout, args;

	const later = function(){
		func.apply(context, args);
		timeout = args = null;
	};

	return function(){
		args = arguments;
		if (timeout) return;
		timeout = setTimeout(later, wait);
	};
}
